org.apache.hadoop.yarn.state

## Class VisualizeStateMachine

- java.lang.Object
- - org.apache.hadoop.yarn.state.VisualizeStateMachine

-     @InterfaceAudience.Private
      public class VisualizeStateMachine
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisualizeStateMachine()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Graph` | `getGraphFromClasses(String graphName, List<String> classes)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisualizeStateMachine

          public VisualizeStateMachine()

  - ### Method Detail

    - #### getGraphFromClasses

          public static Graph getGraphFromClasses(String graphName,
                                                  List<String> classes)
                                           throws Exception

      Parameters:
        `classes` - list of classes which have static field stateMachineFactory of type StateMachineFactory
      Returns:
        graph represent this StateMachine
      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.